# Uses of Class
org.globus.ftp.HostPortList

Packages that use HostPortList
Package
Description
org.globus.ftp
org.globus.ftp.extended

## Uses of HostPortList in org.globus.ftp

Fields in org.globus.ftp declared as HostPortList
Modifier and Type
Field
Description
`HostPortList`
GridFTPSession.`serverAddressList`
This concerns local server.
Methods in org.globus.ftp that return HostPortList
Modifier and Type
Method
Description
`static HostPortList`
HostPortList.`parseIPv4Format(String message)`
`static HostPortList`
HostPortList.`parseIPv6Format(String message)`
`HostPortList`
GridFTPClient.`setLocalStripedPassive()`
Behaves like setLocalStripedPassive(FTPServerFacade.ANY_PORT, FTPServerFacade.DEFAULT_QUEUE)
`HostPortList`
GridFTPClient.`setLocalStripedPassive(int port, int queue)`
Starts local server in striped passive mode.
`HostPortList`
GridFTPClient.`setStripedPassive()`
Sets remote server to striped passive server mode (SPAS).
Methods in org.globus.ftp with parameters of type HostPortList
Modifier and Type
Method
Description
`void`
GridFTPClient.`setStripedActive(HostPortList hpl)`
Sets remote server to striped active server mode (SPOR).

## Uses of HostPortList in org.globus.ftp.extended

Methods in org.globus.ftp.extended that return HostPortList
Modifier and Type
Method
Description
`HostPortList`
GridFTPServerFacade.`setStripedPassive()`
`HostPortList`
GridFTPServerFacade.`setStripedPassive(int port, int queue)`
Methods in org.globus.ftp.extended with parameters of type HostPortList
Modifier and Type
Method
Description
`void`
GridFTPServerFacade.`setStripedActive(HostPortList hpl)`